{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.WORKITEM"
  },
  "caption" : "工作项规划界面",
  "codeName" : "WORKITEMUsr12114819GanttView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMUsr12114819GanttView.json",
  "mDCtrlActiveMode" : 2,
  "name" : "WORKITEMUsr12114819GanttView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSControls" : [ {
    "beginDataItemName" : "begin",
    "codeName" : "Usr12114819GanttView_Gantt",
    "controlType" : "GANTT",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM/PSGANTTS/Usr12114819GanttView_Gantt.json",
    "endDataItemName" : "end",
    "finishDataItemName" : "finish",
    "logicName" : "工作项规划界面_甘特部件",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "gantt"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GANTT"
    },
    "getPSControlRenders" : [ {
      "layoutPanelModel" : "return `<div class='test_test_test'><svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" width=\"1em\" preserveAspectRatio=\"xMidYMid meet\" focusable=\"false\" fill=\"currentColor\"><g id=\"aodeditor/link-insert\" stroke-width=\"1\" fill-rule=\"evenodd\"><path d=\"M12.253 4.13h-1.2v-1a2.8 2.8 0 0 0-5.6 0v4a2.8 2.8 0 0 0 2.8 2.8v1.2a4 4 0 0 1-4-4v-4a4 4 0 0 1 8 0v1zm-8 8h1.2v1a2.8 2.8 0 0 0 5.6 0v-4a2.8 2.8 0 0 0-2.8-2.8v-1.2a4 4 0 0 1 4 4v4a4 4 0 0 1-8 0v-1z\" id=\"aod形状结合\" transform=\"rotate(46 8.253 8.13)\"></path></g></svg><span>测试无数据</span></div>`",
      "name" : "emptypanel",
      "renderType" : "LAYOUTPANEL_MODEL"
    } ],
    "getPSControls" : [ {
      "codeName" : "Usr12114819GanttViewtop_cm",
      "controlType" : "CONTEXTMENU",
      "logicName" : "甘特图节点上下文菜单",
      "name" : "top_cm",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
      },
      "getPSControlParam" : {
        "id" : "top_cm"
      },
      "getPSDEToolbarItems" : [ {
        "caption" : "编辑",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "top_cm_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf08e@FontAwesome",
          "cssClass" : "fa fa-external-link"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "caption" : "编辑",
          "codeName" : "Edit",
          "getFrontPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMEditView.json",
            "viewType" : "DEEDITVIEW"
          },
          "frontProcessType" : "WIZARD",
          "fullCodeName" : "WORKITEM_Edit",
          "name" : "编辑",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          },
          "uIActionMode" : "FRONT",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION",
          "id" : "Edit@WORKITEM"
        },
        "tooltip" : "编辑",
        "uIActionTarget" : "SINGLEKEY",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "03139BE2-5FB1-4AB9-A5F0-741C6E6422C9",
      "modeltype" : "PSDETOOLBAR"
    }, {
      "codeName" : "Usr12114819GanttViewnode_cm",
      "controlType" : "CONTEXTMENU",
      "logicName" : "甘特图节点上下文菜单",
      "name" : "node_cm",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
      },
      "getPSControlParam" : {
        "id" : "node_cm"
      },
      "getPSDEToolbarItems" : [ {
        "caption" : "编辑",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "node_cm_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf08e@FontAwesome",
          "cssClass" : "fa fa-external-link"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "caption" : "编辑",
          "codeName" : "Edit",
          "getFrontPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMEditView.json",
            "viewType" : "DEEDITVIEW"
          },
          "frontProcessType" : "WIZARD",
          "fullCodeName" : "WORKITEM_Edit",
          "name" : "编辑",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          },
          "uIActionMode" : "FRONT",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION",
          "id" : "Edit@WORKITEM"
        },
        "tooltip" : "编辑",
        "uIActionTarget" : "SINGLEKEY",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "03139BE2-5FB1-4AB9-A5F0-741C6E6422C9",
      "modeltype" : "PSDETOOLBAR"
    } ],
    "getPSDETreeColumns" : [ {
      "caption" : "排序",
      "codeName" : "sn",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "sn",
      "name" : "sn",
      "width" : 200,
      "widthUnit" : "px",
      "enableExpand" : false,
      "enableSort" : false
    }, {
      "caption" : "名称",
      "codeName" : "name",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "name",
      "name" : "name",
      "getRenderPSSysPFPlugin" : {
        "pluginType" : "GRID_COLRENDER",
        "pluginCode" : "GridColumnPlugin"
      },
      "width" : 200,
      "widthUnit" : "px",
      "enableExpand" : false,
      "enableSort" : false
    }, {
      "caption" : "开始时间",
      "codeName" : "begin",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "begin",
      "name" : "begin",
      "width" : 200,
      "widthUnit" : "px",
      "enableExpand" : false,
      "enableSort" : false
    }, {
      "caption" : "截至时间",
      "codeName" : "end",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "end",
      "name" : "end",
      "width" : 200,
      "widthUnit" : "px",
      "enableExpand" : false,
      "enableSort" : false
    } ],
    "getPSDETreeNodeRSs" : [ {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "node"
      },
      "name" : "工作项节点 - 工作项节点",
      "getParentPSAppDEField" : {
        "name" : "PWORKITEMID",
        "codeName" : "Pworkitemid"
      },
      "getParentPSDER1N" : {
        "codeName" : "WORKITEM",
        "dERType" : "DER1N",
        "dynaModelFilePath" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDERS/DER1N_WORKITEM_WORKITEM_PWORKITEMID.json",
        "fKeyName" : "F4AFCBB73015D37081",
        "logicName" : "名称",
        "getMajorPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM.json"
        },
        "masterOrder" : -1,
        "masterRS" : 0,
        "minorCodeName" : "WORKITEMs",
        "getMinorPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM.json"
        },
        "minorServiceCodeName" : "WORKITEMs",
        "name" : "DER1N_WORKITEM_WORKITEM_PWORKITEMID",
        "orderValue" : 100,
        "getPSPickupDEField" : {
          "name" : "PWORKITEMID",
          "codeName" : "Pworkitemid"
        },
        "getPSPickupTextDEField" : {
          "name" : "PWORKITEMNAME",
          "codeName" : "Pworkitemname"
        },
        "pickupDEFName" : "PWORKITEMID",
        "removeActionType" : -1,
        "removeOrder" : 0,
        "serviceCodeName" : "WORKITEM",
        "enableFKey" : true
      },
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "node"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    }, {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "top"
      },
      "name" : "默认根节点 - 顶层节点",
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "ROOT"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    }, {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "node"
      },
      "name" : "顶层节点 - 工作项节点",
      "getParentPSAppDEField" : {
        "name" : "PWORKITEMID",
        "codeName" : "Pworkitemid"
      },
      "getParentPSDER1N" : {
        "codeName" : "WORKITEM",
        "dERType" : "DER1N",
        "dynaModelFilePath" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDERS/DER1N_WORKITEM_WORKITEM_PWORKITEMID.json",
        "fKeyName" : "F4AFCBB73015D37081",
        "logicName" : "名称",
        "getMajorPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM.json"
        },
        "masterOrder" : -1,
        "masterRS" : 0,
        "minorCodeName" : "WORKITEMs",
        "getMinorPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM.json"
        },
        "minorServiceCodeName" : "WORKITEMs",
        "name" : "DER1N_WORKITEM_WORKITEM_PWORKITEMID",
        "orderValue" : 100,
        "getPSPickupDEField" : {
          "name" : "PWORKITEMID",
          "codeName" : "Pworkitemid"
        },
        "getPSPickupTextDEField" : {
          "name" : "PWORKITEMNAME",
          "codeName" : "Pworkitemname"
        },
        "pickupDEFName" : "PWORKITEMID",
        "removeActionType" : -1,
        "removeOrder" : 0,
        "serviceCodeName" : "WORKITEM",
        "enableFKey" : true
      },
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "top"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    } ],
    "getPSDETreeNodes" : [ {
      "counterMode" : 0,
      "name" : "默认根节点",
      "nodeType" : "ROOT",
      "nodeValue" : "root",
      "text" : "默认根节点",
      "treeNodeType" : "STATIC",
      "hasPSDETreeNodeRSs" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : true,
      "rootNode" : true,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "ROOT"
    }, {
      "counterMode" : 0,
      "dataSourceType" : "DEDATASET",
      "getIdPSAppDEField" : {
        "name" : "WORKITEMID",
        "codeName" : "WORKITEMId"
      },
      "maxSize" : -1,
      "getMovePSAppDEAction" : {
        "modelref" : true,
        "id" : "Move"
      },
      "name" : "工作项节点",
      "nodeType" : "node",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
      },
      "getPSDEContextMenu" : {
        "codeName" : "Usr12114819GanttViewnode_cm",
        "controlType" : "CONTEXTMENU",
        "logicName" : "甘特图节点上下文菜单",
        "name" : "node_cm",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        },
        "getPSControlParam" : {
          "id" : "node_cm"
        },
        "getPSDEToolbarItems" : [ {
          "caption" : "编辑",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction1",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "node_cm_deuiaction1"
          },
          "getPSSysImage" : {
            "glyph" : "xf08e@FontAwesome",
            "cssClass" : "fa fa-external-link"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "caption" : "编辑",
            "codeName" : "Edit",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "WORKITEM_Edit",
            "name" : "编辑",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "Edit",
            "uIActionType" : "DEUIACTION",
            "id" : "Edit@WORKITEM"
          },
          "tooltip" : "编辑",
          "uIActionTarget" : "SINGLEKEY",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "modelid" : "03139BE2-5FB1-4AB9-A5F0-741C6E6422C9",
        "modeltype" : "PSDETOOLBAR"
      },
      "getPSDETreeNodeColumns" : [ {
        "cLConvertMode" : "NONE",
        "codeName" : "begin",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "begin",
        "name" : "begin",
        "getPSAppDEField" : {
          "name" : "BEGIN",
          "codeName" : "BEGIN"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "begin"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "enableRowEdit" : true
      }, {
        "cLConvertMode" : "NONE",
        "codeName" : "end",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "end",
        "name" : "end",
        "getPSAppDEField" : {
          "name" : "END",
          "codeName" : "END"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "end"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "enableRowEdit" : true
      }, {
        "cLConvertMode" : "NONE",
        "codeName" : "px",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "px",
        "name" : "px",
        "getPSAppDEField" : {
          "name" : "PX",
          "codeName" : "PX"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "sn"
        }
      }, {
        "cLConvertMode" : "NONE",
        "getCellPSSysCss" : {
          "cssName" : "data-upload-view2"
        },
        "codeName" : "workitemname",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "workitemname",
        "name" : "workitemname",
        "getPSAppDEField" : {
          "name" : "WORKITEMNAME",
          "codeName" : "WORKITEMName"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "name"
        },
        "enableRowEdit" : true
      } ],
      "getPSDETreeNodeDataItems" : [ {
        "cLConvertMode" : "NONE",
        "dataType" : 5,
        "name" : "begin",
        "getPSAppDEField" : {
          "name" : "BEGIN",
          "codeName" : "BEGIN"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "begin"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 5,
        "name" : "end",
        "getPSAppDEField" : {
          "name" : "END",
          "codeName" : "END"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "end"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 6,
        "name" : "px",
        "getPSAppDEField" : {
          "name" : "PX",
          "codeName" : "PX"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "sn"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "workitemname",
        "getPSAppDEField" : {
          "name" : "WORKITEMNAME",
          "codeName" : "WORKITEMName"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "name"
        }
      } ],
      "getPSDETreeNodeEditItems" : [ {
        "codeName" : "begin",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "begin",
        "getPSAppDEField" : {
          "name" : "BEGIN",
          "codeName" : "BEGIN"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "begin"
        },
        "getPSEditor" : {
          "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
          "editorParams" : {
            "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
          },
          "editorType" : "DATEPICKEREX_SECOND",
          "name" : "begin",
          "placeHolder" : "请选择开始时间"
        },
        "allowEmpty" : false
      }, {
        "codeName" : "end",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "end",
        "getPSAppDEField" : {
          "name" : "END",
          "codeName" : "END"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "end"
        },
        "getPSEditor" : {
          "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
          "editorParams" : {
            "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
          },
          "editorType" : "DATEPICKEREX_SECOND",
          "name" : "end",
          "placeHolder" : "请选择结束时间"
        },
        "allowEmpty" : true
      }, {
        "codeName" : "workitemname",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "workitemname",
        "getPSAppDEField" : {
          "name" : "WORKITEMNAME",
          "codeName" : "WORKITEMName"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "name"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 200,
          "name" : "workitemname"
        },
        "allowEmpty" : true
      } ],
      "getPSSysCss" : {
        "cssName" : "data-upload-view3"
      },
      "sortDir" : "ASC",
      "getSortPSAppDEField" : {
        "name" : "PX",
        "codeName" : "PX"
      },
      "getTextPSAppDEField" : {
        "name" : "WORKITEMNAME",
        "codeName" : "WORKITEMName"
      },
      "treeNodeType" : "DE",
      "hasPSDETreeNodeRSs" : true,
      "allowDrag" : true,
      "allowOrder" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableRowEdit" : true,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "node"
    }, {
      "counterMode" : 0,
      "dataSourceType" : "DEDATASET",
      "getIdPSAppDEField" : {
        "name" : "WORKITEMID",
        "codeName" : "WORKITEMId"
      },
      "maxSize" : -1,
      "name" : "顶层节点",
      "nodeType" : "top",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchTOPQUERY"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
      },
      "getPSDEContextMenu" : {
        "codeName" : "Usr12114819GanttViewtop_cm",
        "controlType" : "CONTEXTMENU",
        "logicName" : "甘特图节点上下文菜单",
        "name" : "top_cm",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        },
        "getPSControlParam" : {
          "id" : "top_cm"
        },
        "getPSDEToolbarItems" : [ {
          "caption" : "编辑",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction1",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "top_cm_deuiaction1"
          },
          "getPSSysImage" : {
            "glyph" : "xf08e@FontAwesome",
            "cssClass" : "fa fa-external-link"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "caption" : "编辑",
            "codeName" : "Edit",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "WORKITEM_Edit",
            "name" : "编辑",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "Edit",
            "uIActionType" : "DEUIACTION",
            "id" : "Edit@WORKITEM"
          },
          "tooltip" : "编辑",
          "uIActionTarget" : "SINGLEKEY",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "modelid" : "03139BE2-5FB1-4AB9-A5F0-741C6E6422C9",
        "modeltype" : "PSDETOOLBAR"
      },
      "getPSDETreeNodeColumns" : [ {
        "cLConvertMode" : "NONE",
        "codeName" : "begin",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "begin",
        "name" : "begin",
        "getPSAppDEField" : {
          "name" : "BEGIN",
          "codeName" : "BEGIN"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "begin"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "enableRowEdit" : true
      }, {
        "cLConvertMode" : "NONE",
        "codeName" : "end",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "end",
        "name" : "end",
        "getPSAppDEField" : {
          "name" : "END",
          "codeName" : "END"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "end"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "enableRowEdit" : true
      }, {
        "cLConvertMode" : "NONE",
        "codeName" : "px",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "px",
        "name" : "px",
        "getPSAppDEField" : {
          "name" : "PX",
          "codeName" : "PX"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "sn"
        }
      }, {
        "cLConvertMode" : "NONE",
        "getCellPSSysCss" : {
          "cssName" : "data-upload-view2"
        },
        "codeName" : "workitemname",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "workitemname",
        "name" : "workitemname",
        "getPSAppDEField" : {
          "name" : "WORKITEMNAME",
          "codeName" : "WORKITEMName"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "name"
        },
        "enableRowEdit" : true
      } ],
      "getPSDETreeNodeDataItems" : [ {
        "cLConvertMode" : "NONE",
        "dataType" : 5,
        "name" : "begin",
        "getPSAppDEField" : {
          "name" : "BEGIN",
          "codeName" : "BEGIN"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "begin"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 5,
        "name" : "end",
        "getPSAppDEField" : {
          "name" : "END",
          "codeName" : "END"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "end"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 6,
        "name" : "px",
        "getPSAppDEField" : {
          "name" : "PX",
          "codeName" : "PX"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "sn"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "workitemname",
        "getPSAppDEField" : {
          "name" : "WORKITEMNAME",
          "codeName" : "WORKITEMName"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "name"
        }
      } ],
      "getPSDETreeNodeEditItems" : [ {
        "codeName" : "begin",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "begin",
        "getPSAppDEField" : {
          "name" : "BEGIN",
          "codeName" : "BEGIN"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "begin"
        },
        "getPSEditor" : {
          "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
          "editorParams" : {
            "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
          },
          "editorType" : "DATEPICKEREX_SECOND",
          "name" : "begin"
        },
        "allowEmpty" : false
      }, {
        "codeName" : "end",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "end",
        "getPSAppDEField" : {
          "name" : "END",
          "codeName" : "END"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "end"
        },
        "getPSEditor" : {
          "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
          "editorParams" : {
            "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
          },
          "editorType" : "DATEPICKEREX_SECOND",
          "name" : "end"
        },
        "allowEmpty" : true
      }, {
        "codeName" : "workitemname",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "workitemname",
        "getPSAppDEField" : {
          "name" : "WORKITEMNAME",
          "codeName" : "WORKITEMName"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "name"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 200,
          "name" : "workitemname"
        },
        "allowEmpty" : true
      } ],
      "getPSSysCss" : {
        "cssName" : "data-upload-view3"
      },
      "getTextPSAppDEField" : {
        "name" : "WORKITEMNAME",
        "codeName" : "WORKITEMName"
      },
      "treeNodeType" : "DE",
      "hasPSDETreeNodeRSs" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableRowEdit" : true,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "top"
    } ],
    "prevDataItemName" : "prev",
    "sNDataItemName" : "sn",
    "totalDataItemName" : "total",
    "treeGridMode" : 1,
    "enableEdit" : true,
    "enableRootSelect" : false,
    "outputIconDefault" : true,
    "rootVisible" : false,
    "name" : "gantt",
    "modelid" : "297EAFB5-8C01-489D-9923-9EE8DFEA3F7C",
    "modeltype" : "PSDEGANTT"
  }, {
    "codeName" : "Usr12114819GanttViewtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "甘特图工具栏",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.REMOVE"
      },
      "caption" : "删除",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction2",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction2"
      },
      "getPSSysImage" : {
        "glyph" : "xf00d@FontAwesome",
        "cssClass" : "fa fa-remove"
      },
      "getPSUIAction" : {
        "actionTarget" : "MULTIKEY",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.REMOVE"
        },
        "caption" : "删除",
        "codeName" : "Remove",
        "fullCodeName" : "Remove",
        "name" : "表格界面_删除操作",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "predefinedType" : "GRIDVIEW_REMOVEACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Remove",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "删除",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
      },
      "uIActionTarget" : "MULTIKEY",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "收缩",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction3"
      },
      "getPSUIAction" : {
        "caption" : "收缩",
        "codeName" : "Collapse",
        "fullCodeName" : "Collapse",
        "name" : "收缩",
        "predefinedType" : "UTIL_COLLAPSE",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "Collapse",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "收缩",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "展开",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction4",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction4"
      },
      "getPSUIAction" : {
        "caption" : "展开",
        "codeName" : "Expand",
        "fullCodeName" : "Expand",
        "name" : "展开",
        "predefinedType" : "UTIL_EXPAND",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "Expand",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "展开",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "全部收缩",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction5",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction5"
      },
      "getPSUIAction" : {
        "caption" : "全部收缩",
        "codeName" : "CollapseAll",
        "fullCodeName" : "CollapseAll",
        "name" : "全部收缩",
        "predefinedType" : "UTIL_COLLAPSEALL",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "CollapseAll",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "全部收缩",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "全部展开",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction6",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction6"
      },
      "getPSUIAction" : {
        "caption" : "全部展开",
        "codeName" : "ExpandAll",
        "fullCodeName" : "ExpandAll",
        "name" : "全部展开",
        "predefinedType" : "UTIL_EXPANDALL",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "ExpandAll",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "全部展开",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "actionLevel" : 50,
      "caption" : "气泡",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction7",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction7"
      },
      "getPSUIAction" : {
        "actionLevel" : 50,
        "actionTarget" : "NONE",
        "caption" : "气泡打开视图",
        "codeName" : "openPopoverViewW",
        "getFrontPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMKanbanEditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "frontProcessType" : "WIZARD",
        "fullCodeName" : "WORKITEM_openPopoverViewW",
        "name" : "气泡打开视图",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        },
        "uIActionMode" : "FRONT",
        "uIActionTag" : "openPopoverViewW",
        "uIActionType" : "DEUIACTION",
        "globalUIAction" : true,
        "id" : "openPopoverViewW@WORKITEM"
      },
      "tooltip" : "气泡",
      "uIActionTarget" : "NONE",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "气泡2层",
      "itemType" : "ITEMS",
      "name" : "items1",
      "getPSDEToolbarItems" : [ {
        "actionLevel" : 50,
        "caption" : "气泡2",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction8",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_deuiaction8"
        },
        "getPSUIAction" : {
          "actionLevel" : 50,
          "actionTarget" : "NONE",
          "caption" : "气泡打开视图",
          "codeName" : "openPopoverViewW",
          "getFrontPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMKanbanEditView.json",
            "viewType" : "DEEDITVIEW"
          },
          "frontProcessType" : "WIZARD",
          "fullCodeName" : "WORKITEM_openPopoverViewW",
          "name" : "气泡打开视图",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          },
          "uIActionMode" : "FRONT",
          "uIActionTag" : "openPopoverViewW",
          "uIActionType" : "DEUIACTION",
          "globalUIAction" : true,
          "id" : "openPopoverViewW@WORKITEM"
        },
        "tooltip" : "气泡2",
        "uIActionTarget" : "NONE",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "气泡三层",
        "itemType" : "ITEMS",
        "name" : "items2",
        "getPSDEToolbarItems" : [ {
          "actionLevel" : 50,
          "caption" : "气泡3",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction9",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_deuiaction9"
          },
          "getPSUIAction" : {
            "actionLevel" : 50,
            "actionTarget" : "NONE",
            "caption" : "气泡打开视图",
            "codeName" : "openPopoverViewW",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMKanbanEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "WORKITEM_openPopoverViewW",
            "name" : "气泡打开视图",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openPopoverViewW",
            "uIActionType" : "DEUIACTION",
            "globalUIAction" : true,
            "id" : "openPopoverViewW@WORKITEM"
          },
          "tooltip" : "气泡3",
          "uIActionTarget" : "NONE",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "气泡n层",
          "itemType" : "ITEMS",
          "name" : "items3",
          "getPSDEToolbarItems" : [ {
            "actionLevel" : 50,
            "caption" : "气泡",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "systbitem1",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_systbitem1"
            },
            "getPSUIAction" : {
              "actionLevel" : 50,
              "actionTarget" : "NONE",
              "caption" : "气泡打开视图",
              "codeName" : "openPopoverViewW",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMKanbanEditView.json",
                "viewType" : "DEEDITVIEW"
              },
              "frontProcessType" : "WIZARD",
              "fullCodeName" : "WORKITEM_openPopoverViewW",
              "name" : "气泡打开视图",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openPopoverViewW",
              "uIActionType" : "DEUIACTION",
              "globalUIAction" : true,
              "id" : "openPopoverViewW@WORKITEM"
            },
            "tooltip" : "气泡",
            "uIActionTarget" : "NONE",
            "showCaption" : true,
            "showIcon" : true
          } ],
          "tooltip" : "气泡n层",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "tooltip" : "气泡三层",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "tooltip" : "气泡2层",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "气泡首项+分组展开",
      "groupExtractMode" : "ITEMX",
      "itemType" : "ITEMS",
      "name" : "items4",
      "getPSUIActionGroup" : {
        "codeName" : "Usr0123721103",
        "name" : "气泡打开视图界面行为组W",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        },
        "getPSUIActionGroupDetails" : [ {
          "caption" : "流程自定义操作",
          "detailType" : "DEUIACTION",
          "name" : "u89958ad",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "caption" : "流程自定义操作",
            "codeName" : "编辑界面_流程自定义操作（行为组）",
            "fullCodeName" : "编辑界面_流程自定义操作（行为组）",
            "name" : "编辑界面_流程自定义操作（行为组）",
            "predefinedType" : "EDITVIEW_WFUSERACTION",
            "uIActionMode" : "SYS",
            "uIActionTag" : "02505cfb9b1806f05690804930190c6e",
            "uIActionType" : "DEUIACTION",
            "group" : true,
            "id" : "02505cfb9b1806f05690804930190c6e"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "actionLevel" : 50,
          "caption" : "气泡打开视图",
          "detailType" : "DEUIACTION",
          "name" : "ucb5a01b",
          "getPSUIAction" : {
            "actionLevel" : 50,
            "actionTarget" : "NONE",
            "caption" : "气泡打开视图",
            "codeName" : "openPopoverViewW",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMKanbanEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "WORKITEM_openPopoverViewW",
            "name" : "气泡打开视图",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openPopoverViewW",
            "uIActionType" : "DEUIACTION",
            "globalUIAction" : true,
            "id" : "openPopoverViewW@WORKITEM"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "刷新",
          "detailType" : "DEUIACTION",
          "name" : "u9d70da0",
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "caption" : "刷新",
            "codeName" : "Refresh",
            "fullCodeName" : "Refresh",
            "name" : "编辑界面_刷新操作",
            "getPSSysImage" : {
              "glyph" : "xf021@FontAwesome",
              "cssClass" : "fa fa-refresh"
            },
            "predefinedType" : "EDITVIEW_REFRESHACTION",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "Refresh",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ],
        "uniqueTag" : "WORKITEM__Usr0123721103"
      },
      "tooltip" : "气泡首项+分组展开",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "气泡按分组展开",
      "groupExtractMode" : "ITEMS",
      "itemType" : "ITEMS",
      "name" : "items5",
      "getPSUIActionGroup" : {
        "codeName" : "Usr0123721103",
        "name" : "气泡打开视图界面行为组W",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        },
        "getPSUIActionGroupDetails" : [ {
          "caption" : "流程自定义操作",
          "detailType" : "DEUIACTION",
          "name" : "u89958ad",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "caption" : "流程自定义操作",
            "codeName" : "编辑界面_流程自定义操作（行为组）",
            "fullCodeName" : "编辑界面_流程自定义操作（行为组）",
            "name" : "编辑界面_流程自定义操作（行为组）",
            "predefinedType" : "EDITVIEW_WFUSERACTION",
            "uIActionMode" : "SYS",
            "uIActionTag" : "02505cfb9b1806f05690804930190c6e",
            "uIActionType" : "DEUIACTION",
            "group" : true,
            "id" : "02505cfb9b1806f05690804930190c6e"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "actionLevel" : 50,
          "caption" : "气泡打开视图",
          "detailType" : "DEUIACTION",
          "name" : "ucb5a01b",
          "getPSUIAction" : {
            "actionLevel" : 50,
            "actionTarget" : "NONE",
            "caption" : "气泡打开视图",
            "codeName" : "openPopoverViewW",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMKanbanEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "WORKITEM_openPopoverViewW",
            "name" : "气泡打开视图",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openPopoverViewW",
            "uIActionType" : "DEUIACTION",
            "globalUIAction" : true,
            "id" : "openPopoverViewW@WORKITEM"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "刷新",
          "detailType" : "DEUIACTION",
          "name" : "u9d70da0",
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "caption" : "刷新",
            "codeName" : "Refresh",
            "fullCodeName" : "Refresh",
            "name" : "编辑界面_刷新操作",
            "getPSSysImage" : {
              "glyph" : "xf021@FontAwesome",
              "cssClass" : "fa fa-refresh"
            },
            "predefinedType" : "EDITVIEW_REFRESHACTION",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "Refresh",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ],
        "uniqueTag" : "WORKITEM__Usr0123721103"
      },
      "tooltip" : "气泡按分组展开",
      "showCaption" : true,
      "showIcon" : true
    } ],
    "xDataControlName" : "gantt",
    "modelid" : "1DF75F1B-AD46-4C17-8323-58E0CED9B979",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "getCapPSLanguageRes" : {
      "lanResTag" : "DE.LNAME.WORKITEM"
    },
    "caption" : "工作项规划界面",
    "codeName" : "Usr12114819GanttViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr12114819GanttView",
  "getPSDEViewId" : "B84CF9A0-BE22-4F16-8F36-52C655DD1C52",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEGANTTVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "工作项规划界面",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGANTTVIEW",
  "xDataControlName" : "gantt",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "modelid" : "4efa9ce63b8aaf76b43f49d8fecd24a2",
  "modeltype" : "PSAPPDEVIEW"
}